iTunesを12.1でもLast.fmでScroblleする方法

2015年3月12日

広告

Last.fm ScrobblerはiTunes 12.1で動作しない

今まではScrobllerのプラグインをC:¥Probgram Files(x86)¥iTunes¥pluginsなどに入れて利用していたのですが、
iTunesが12.1で64ビット版になってしまい、Last.fm提供のプラグインが動作しなくなってしまいました。

解消する2つの方法 iTunesを変える

Appleは古いシステムとの互換のためのiTunesも同時にリリースしているのでこちらのiTunesを使えばOKです。
https://support.apple.com/kb/DL1784?locale=en_US&viewlocale=ja_JP
Last.fm公式の手法です。

Update
Hi everyone, thanks for reporting this. We’re aware of the problem, and looking into releasing a fix asap. We apologise for any inconvenience caused by this in the meantime.
As some of you have mentioned a temporary workaround is to install the 32-bit version of the update instead (found here: http://support.apple.com/kb/DL1784?viewlocale=en_US&locale=en_US)

解消する2つ目の方法 Scrobllerを変える

64ビット版のScrobblerを提供しているユーザがいます。
https://mega.co.nz/#!wF0xhaJQ!YxjIl6aVPfgyuYCuPG7zFSD46oM-pIpdcmD-FeIljq8
どういうコードかは確認できないので自己責任でのご利用となると思います。

Saberre said:
I built a 64-bit version of Scrobbler plug-in. Use this link to download.
Remove the existing version of plug-in first, and put the new version in “C:\Users\\AppData\Roaming\Apple Computer\iTunes\iTunes Plug-ins" (If your computer don’t have it, just make one).
You may need to install Visual C++ 2013 Runtime x64 since it’s built with Visual Studio 2013.
** My build of the plug-in may occur crash or other stability issues. This fix is temporary.
To Last.fm Desktop developers: What I did is just to update iTunes Visual Plug-in SDK. It’s really easy to update, downloading from Apple Developer website. Please fix this problem officially.

software

Posted by risok